Bug 478789 - Make ImageMagick package more fine-grained
Make ImageMagick package more fine-grained
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 20:46 EST by W. Michael Petullo
Modified: 2010-09-30 14:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 17:12:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2009-01-04 20:46:52 EST
Description of problem:
ImageMagick provides a valuable library for image manipulation. Though this could be very useful for small applications, it is encumbered by its X11 library requirements.

Version-Release number of selected component (if applicable):
ImageMagick-6.4.0.10-2.fc10.ppc

How reproducible:
Every time

Steps to Reproduce:
Install ImageMagick
  
Actual results:
The base ImageMagick package installs the library and utilities. Furthermore, ImageMagick introduces the following dependencies, which may not be good for small systems:

ImageMagick -> librsvg2 -> libgsf -> libORBit -> libIDL
X11 libraries

Expected results:
I would like to see a separate library package. This would allow one to install the libraries onto a small system without the applications (e.g., /usr/bin/animate).  

Additional info:
Ideally, the package would be further broken up so that more exotic plugins could be installed separately. For example, X11-related modules could be isolated.

Also, I briefly looked at some of the modules and found that "ldd jpeg.so" revealed that this module is linked against libX11. So, it may be necessary to look at some of the ImageMagick build code to ensure modules are not linked against unnecessary libraries (I hope to do this work when I have time).
Comment 1 Hans de Goede 2009-01-05 03:58:20 EST
I would be happy to take a (well written) patch for this (but do not have the time to work on this myself). This will not be easy though, esp. removing the X11 libs dependencies, as those are used to read xpm files AFAIK.
Comment 2 Fedora Admin XMLRPC Client 2009-04-13 13:38:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Hans de Goede 2009-08-10 04:48:05 EDT
I'm sorry but given my other Fedora / RH tasks I do not have the time necessary to keep ImageMagick in good shape. So I'm re-assigning this to
Pavel Alexeev who has been so kind to take over ImageMagick maintainance from me.
Comment 4 Pavel Alexeev 2009-08-10 07:16:59 EDT
Hm...

ImageMagick is big complex software. Some parts (and dependencies off course) may be avoided by configure option, but we lose some functionality thought. If you speak about provide base package with implemented plugin-system there and other as plugins... In any case if such plugin system not implemented yet I have not so much time and/or skills do it... I think it is good candidate to Future Request to upstream developers. So, can you do it?

If you have patches - I'll be hope see it.
Comment 5 Bug Zapper 2009-11-18 05:39:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Pavel Alexeev 2009-11-18 17:12:24 EST
Reporter does not answer, I close it as NOTABUG.
Comment 7 Aaron Stone 2010-01-05 13:04:21 EST
Could we reopen this bug? The idea has been further proposed on the ImageMagick dev list, and accepted as a future to-do (though of indeterminate priority):

http://studio.imagemagick.org/pipermail/magick-developers/2009-October/003188.html

The fundamental use case remains extremely strong: a headless lightweight web server should be able to perform general image manipulation tasks without X.
Comment 8 Pavel Alexeev 2010-01-06 03:23:20 EST
I'm glad to see that arrived to upstream developers.

But for what this bug should reopened? At all there is not bug in Fedora. When it will implemented in upstream - you can submit request to update ImageMagick and we can return discuss to things how i should be resplited.

One more thing, among others you suggest slightly different future in IM maillist - separate it from X-labraries but not plugin system and more fine grained. If it really may be important for some reasons, there may be another solution. In spec possible to build, one as now, second for example with "noX" suffix and configured with suggested ./configure --without-x. Both packages off course should conflict with opposite, and may be regular obsoletes another.

But for what it all? You speak about hosting providers - but really it is a problem for server some more dependencies for few additional megabytes? I think size may be important for embedded systems, but in any case it should be other optimized set/build, not regular Fedora....
Comment 9 Aaron Stone 2010-01-06 03:57:19 EST
I am not the best advocate for this bug, as I don't use Fedora currently, but was recently looking into the issue and have found it to be a common problem with potential solutions that are not yet being packaged by distributions.

It is a very common deployment strategy to launch web services on small virtual hosts, and that this is an important market for Fedora.
Comment 10 Pavel Alexeev 2010-01-06 05:06:11 EST
I very appreciate any help and thank you. When (if) it will be grained by upstream I try also reflect it in packaging.

But now I think it just is not subject of this bug...
Comment 11 Pavel Alexeev 2010-09-30 14:14:29 EDT
Bastien ROUCARIES make efforts to work on it with upstream:
http://studio.imagemagick.org/pipermail/magick-developers/2009-October/003188.html

Note You need to log in before you can comment on or make changes to this bug.